<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">


    <data>

        <import type="android.view.View" />

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.contab_doc_interni.dialog.DialogSelectDocInfoView" />

    </data>

    <androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:orientation="vertical"
        app:cardCornerRadius="16dp"
        app:cardElevation="0dp">


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="16dp"
            android:paddingVertical="16dp">


            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title_text"
                style="@style/MaterialAlertDialog.Material3.Title.Text.CenterStacked"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="16dp"
                android:gravity="center_horizontal"
                android:maxLines="2"
                android:singleLine="false"
                android:text="@string/dialog_doc_interni_choose_dtip_mgrp_pair_title" />


            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="wrap_content">


                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/input_cod_dtip"
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/doc_type">

                        <com.google.android.material.textfield.MaterialAutoCompleteTextView
                            android:id="@+id/filled_exposed_dropdown_cod_dtips"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:inputType="none"
                            android:singleLine="true" />

                    </com.google.android.material.textfield.TextInputLayout>


                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/input_cod_mgrps"
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/art_group">

                        <com.google.android.material.textfield.MaterialAutoCompleteTextView
                            android:id="@+id/filled_exposed_dropdown_cod_mgrps"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:inputType="none"
                            android:singleLine="true" />

                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/input_cod_anag_forn"
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/fornitore"
                        app:visibility="@{view.isFornitoreRequired}"
                        tools:visibility="visible">

                        <com.google.android.material.textfield.MaterialAutoCompleteTextView
                            android:id="@+id/filled_exposed_dropdown_cod_anag_list"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:inputType="text"
                            android:singleLine="true" />

                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/input_num_doc_layout"
                        style="@style/TextInputLayout.OutlineDefault"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:visibility="@{view.isDocumentRequired}"
                        tools:visibility="visible">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/input_num_doc"
                            style="@style/TextInputEditText.OutlinePrimary"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="@string/document_number"
                            android:imeOptions="actionDone"
                            android:inputType="number"
                            app:binding="@{view.selectedNumDoc}" />

                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/input_data_doc_layout"
                        style="@style/TextInputLayout.OutlineDefault"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:visibility="@{view.isDocumentRequired}"
                        tools:visibility="visible">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/input_data_doc"
                            style="@style/TextInputEditText.OutlinePrimary"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusableInTouchMode="false"
                            android:hint="@string/document_date"
                            android:inputType="none"
                            app:binding="@{view.selectedDataDoc}"
                            app:parentView="@{view}" />

                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/input_note_layout"
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/hint_additional_notes"
                        app:visibility="@{view.isNoteRequired}"
                        tools:visibility="visible">

                        <com.google.android.material.textfield.MaterialAutoCompleteTextView
                            android:id="@+id/filled_exposed_dropdown_note"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:inputType="text"
                            android:singleLine="true"
                            app:binding="@{view.selectedNote}" />

                    </com.google.android.material.textfield.TextInputLayout>
                </androidx.appcompat.widget.LinearLayoutCompat>
            </ScrollView>

        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.cardview.widget.CardView>
</layout>